Subject: Re: bug#56215: Request for decluttering capability on mode-line keywords

From: Phil Sainty <[email-masked]>
Date: Sun, 26 Jun 2022 12:05:44 +1200

Hi Carl,

You might find the GNU ELPA package delight.el to be suitable.
See https://www.emacswiki.org/emacs/DelightedModes for details.

There are other options as well, including these (and maybe
more besides):

https://emacs.stackexchange.com/a/72194/454

Lars, I think this is a duplicate of bug#30978 ?

-Phil

On 2022-06-26 01:08, carlmarcos--- via "Bug reports for GNU Emacs, the 
Swiss army knife of text editors" wrote:
> The mode-line is a very important section of a window. But can be
> easily cluttered with
> names of minor-modes, as well as by programming and hypertext language
> major-mode names.
> 
> For instance, loading an elisp file shows "Emacs-Lisp" in the
> made-line. When in *scratch* the string "Lisp Interaction" shows up.
> Because I use bold large font, it is easy for the mode-line to get
> cluttered.
> 
> As is often the case, emacs users hardly change the mode associated
> with the corresponding programming or hypertext language major-mode.
> Most often, users work with minor-modes, meaning that people are aware
> that lisp programs use emacs-lisp major-mode, and C users are aware
> they are using c major-mode (although I find "C/*l" quite
> unnecessary).
> 
> Emacs package designers have the ability to display a mode-line name
> with the keyword-arg `:lighter'. But the user has no way to remove the
> lighter from the mode-line. Would like to request the capability for
> users to remove :lighter keywords, if they wish. This would be
> particularly useful for those like me who usually have a dense list
> showing up in their mode-line.